<?php

class datos_cliente extends main_controller{
    function __construct(){
        $this->mod = $this->model("datos_model");
    }
    
    function init(){
        //$this->_get_loged();
        $this->setCss( array("init.css") );
        $this->setJs( array( "init.js") );
        
        $datax = array();
        $datax['main'] = $this->_obtener_main();
        $datax['titulo']= "Administracion";

        $this->render($datax);
    }
    
    function _obtener_main(){
      //  $data['fecha'] = $this->mod->get_datos($user, $desde, $hasta);
        $data['codigo'] = $_SESSION['USER']['COD'];
        $data['nombre'] = $_SESSION['USER']['NOM'];
        $data['domicilio'] = $_SESSION['USER']['DOM']." - ".$_SESSION['USER']['LOC']." - ".$_SESSION['USER']['PCI'];        
        return $this->view("main", $data);
    }
    
    function x_enviar_datos(){
        $usuario = $_POST['usuario'];
        $desde = $_POST['desde'];
        $hasta = $_POST['hasta'];
        $cc = $_POST['cc'];
        $remito = $_POST['remito'];
        $contado = $_POST['contado'];
        $anulada = $_POST['anulada'];
        
        list($d,$m,$y) = explode("-",$desde);
        $desde = mktime(0,0,0,$m,$d,$y);
        
        list($d,$m,$y) = explode("-",$hasta);
        $hasta = mktime(0,0,0,$m,$d,$y);
        
        $data['comprobantes'] = $this->mod->get_datos($usuario, $desde, $hasta, $cc, $remito, $contado, $anulada);
//print_array($data['comprobantes']);
        echo $this->view("lista_datos", $data);
    }
}


